%global fontname gdouros-symbola
%global fontconf 65-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        10.24
Release:        %mkrel 2
Summary:        A symbol font
Group:          System/Fonts/True type
# https://web.archive.org/web/20150625020428/http://users.teilar.gr/~g1951d/
# "in lieu of a licence:
# Fonts and documents in this site are not pieces of property or merchandise
# items; they carry no trademark, copyright, license or other market tags;
# they are free for any use. George Douros"
License:        Public Domain
URL:            http://users.teilar.gr/~g1951d/
# BEWARE: New versions on https://dn-works.com/ufas/ are non free and 
# redistribution is prohibited.
Source0:        http://users.teilar.gr/~g1951d/Symbola.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  appstream-util
Requires:       fontpackages-filesystem

%description
Symbola was created with Mathematics and other technical documents in mind. It
covers many scripts and symbols supported by Unicode.

These include those in Basic Latin, Latin-1 Supplement, Latin Extended-A, IPA
Extensions, Spacing Modifier Letters, Greek and Coptic, Cyrillic, Cyrillic
Supplementary, General Punctuation, Superscripts and Subscripts, and many
others.

It was created by George Douros.

%prep
%setup -q -c

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Symbola.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/metainfo/%{fontname}.metainfo.xml

%check
appstream-util validate-relax --nonet \
      %{buildroot}/%{_datadir}/metainfo/%{fontname}.metainfo.xml


%_font_pkg -f %{fontconf} Symbola.ttf
%{_datadir}/metainfo/%{fontname}.metainfo.xml
%doc Symbola.pdf Symbola.odt


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 10.24-2.mga9
+ Revision: 1836148
- Mageia 9 Mass Rebuild

* Sat Sep 05 2020 pterjan <pterjan> 10.24-1.mga8
+ Revision: 1622788
- Update to a more recent version, latest ones are no longer free so take the one used in other distros

* Tue Feb 11 2020 umeabot <umeabot> 9.00-3.mga8
+ Revision: 1489295
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 9.00-2.mga7
+ Revision: 1260342
- Mageia 7 Mass Rebuild

* Sun Dec 18 2016 alien <alien> 9.00-1.mga6
+ Revision: 1076054
- Changes needed to allow for 🤦

* Mon Feb 08 2016 umeabot <umeabot> 6.13-5.mga6
+ Revision: 946037
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.13-4.mga5
+ Revision: 744079
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.13-3.mga5
+ Revision: 679467
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.13-2.mga4
+ Revision: 522348
- Mageia 4 Mass Rebuild

* Thu Feb 21 2013 pterjan <pterjan> 6.13-1.mga3
+ Revision: 399617
- Import from Fedora, needed to see unicode goats (but I failed to put one in this log)


* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Petr Pisar <ppisar@redhat.com> - 6.13-1
- 6.13 bump
- Remove obsolete code from spec file
- Put heavy documentation into sub-package

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.54-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.54-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 23 2010 Robin Sonefors <ozamosi@flukkost.nu> - 2.54-1
- New upstream version
- Simplified description

* Thu Oct 22 2009 Robin Sonefors <ozamosi@flukkost.nu> - 2.52-1
- Initial package
